# $Revision: 1.31 $, $Date: 2011/09/09 18:00:20 $
Summary:	MailSync - synchronizing a collection of mailboxes
Summary(pl.UTF-8):	MailSync - synchronizacja zbioru skrzynek pocztowych
Name:		mailsync
Version:	5.2.1
Release:	14
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/%{name}/%{name}_%{version}.orig.tar.gz
# Source0-md5:	67c9f68575756b76581cf9be74608aa5
Patch0:		%{name}-ksh.patch
URL:		http://mailsync.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	imap-devel >= 2004
#BuildRequires:	heimdal-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
#BuildRequires:	pam-devel
Requires:	imap-lib >= 2004
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mailsync is a way of synchronizing a collection of mailboxes. The
algorithm is a 3-way diff. Two mailboxes are simultaneously compared
to a record of the state of both mailboxes at last sync. New messages
and message deletions are propagated between the two mailboxes. If
you're familiar with CVS, it's the same principle, except there's no
opportunity for conflicts.

%description -l pl.UTF-8
Mailsync to sposób synchronizacji zbioru skrzynek pocztowych. Algorytm
to trójstronny diff. Dwie skrzynki są jednocześnie porównywane z
rekordem stanu dwóch skrzynek po ostatniej synchronizacji. Nowe
wiadomości i usunięcia wiadomości są propagowane między dwiema
skrzynkami. Działa to na tej samej zasadzie co CVS, z wyjątkiem tego,
że nie występują konflikty.

%prep
%setup -q
%patch0 -p0

%build
./autogen.sh
%configure \
	--with-openssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/mailsync.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO doc/ABSTRACT doc/examples/mailsync
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mailsync.spec,v $
Revision 1.31  2011/09/09 18:00:20  arekm
- release 14

Revision 1.30  2009/07/02 23:51:28  baggins
- switch to heimdal kerberos

Revision 1.29  2009/05/25 21:44:27  glen
- release 13

Revision 1.28  2009/01/12 20:14:24  arekm
- release 12

Revision 1.27  2008/11/03 00:06:33  arekm
- release 11

Revision 1.26  2008/04/24 11:47:18  glen
- release 10

Revision 1.25  2008-01-24 23:35:38  glen
- rel 9

Revision 1.24  2007-12-10 12:12:48  hawk
- release 8 (imap 2006k)

Revision 1.23  2007/09/03 13:07:57  hawk
- release 7 (imap 2006j2)

Revision 1.22  2007/07/06 07:32:29  glen
- rel 6

Revision 1.21  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.19  2007/01/01 01:02:19  hawk
- fix build with ksh and autoconf 2.60

Revision 1.18  2006/12/31 16:22:19  hawk
- release 4, rebuild with imap 2006d

Revision 1.17  2005/12/24 23:10:14  hawk
- release 3 to rebuild with imap 2004g

Revision 1.16  2005/08/05 19:35:44  qboosh
- removed obsolete amd64_fix patch from sources

Revision 1.15  2005/08/05 17:16:26  hawk
- removed amd64 fix, its already in sources
- release 2

Revision 1.14  2005/05/18 23:26:34  zbyniu
- up to 5.2.1; BR: autoconf, automake
- removed obsoleted patches

Revision 1.13  2005/05/15 21:17:04  hawk
- release 6 to rebuild with new imap

Revision 1.12  2005/05/11 14:19:33  qboosh
- more general lib64 if

Revision 1.11  2005/02/05 22:59:02  hawk
- release 5 to rebuild with new imap

Revision 1.10  2005/01/11 00:15:55  hawk
- release++ to rebuild with new imap

Revision 1.9  2004/07/25 17:03:01  hawk
- release 3 to rebuild with new imap

Revision 1.8  2004/06/10 17:24:08  hawk
- this should finally fix amd64 (but who knows)

Revision 1.7  2004/06/10 14:04:04  averne
- added autogen.sh

Revision 1.6  2004/06/10 13:48:00  hawk
- added autoconf to check if it will fix amd64 compilation problems

Revision 1.5  2004/06/09 12:37:35  hawk
- updated to compile with imap-2004
- added missing require: imap-lib (>= 2004)
- BR imap-devel >= 2004

Revision 1.4  2004/03/19 23:46:30  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.3  2004/03/07 14:12:29  adamg
- updated to 5.1.1

Revision 1.2  2004/02/26 15:21:19  qboosh
- md5, pl, cleanups

Revision 1.1  2004/02/26 15:14:16  qboosh
- from <glen at delfi.ee>, BTS#844
